Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.owltable
Class DefaultOWLTableTransferHandler

    java.lang.Object
      javax.swing.TransferHandler
          edu.stanford.smi.protegex.owl.ui.owltable.OWLTableTransferHandler
              edu.stanford.smi.protegex.owl.ui.owltable.DefaultOWLTableTransferHandler

All Implemented Interfaces:
  Serializable

    public class DefaultOWLTableTransferHandler

extends OWLTableTransferHandler

A default OWLTableTransferHandler that assumes that the class maintain their rows after changing something.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.owltable.OWLTableTransferHandler
`rows`

Fields inherited from class javax.swing.TransferHandler
`COPY, COPY_OR_MOVE, MOVE, NONE`

Constructor Summary
`DefaultOWLTableTransferHandler(OWLModel owlModel)`

Method Summary
`protected void` | `cleanup(JComponent c, boolean remove)`
`protected int` | `importOWLClses(JComponent c, String clsesText)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.owltable.OWLTableTransferHandler
`addRow, canImport, createTransferable, exportDone, exportOWLClses, getRootCls, getSourceActions, importData`

Methods inherited from class javax.swing.TransferHandler
`exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getPasteAction, getVisualRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultOWLTableTransferHandler

    public DefaultOWLTableTransferHandler(OWLModel owlModel)

Method Detail

### cleanup

    protected void cleanup(JComponent c,
                           boolean remove)

  Overrides:
    `cleanup` in class `OWLTableTransferHandler`

### importOWLClses

    protected int importOWLClses(JComponent c,
                                 String clsesText)

  Overrides:
    `importOWLClses` in class `OWLTableTransferHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.